Main Page Namespace List Class Hierarchy Alphabetical List Compound List File List Namespace Members Compound Members File Members

# CosNotifyChannelAdmin::EventChannel Interface Reference

Defines the interface to control an use an event channel. More...

`import "CosNotifyChannelAdmin.idl";`

Inheritance diagram for CosNotifyChannelAdmin::EventChannel:

[legend]
Collaboration diagram for CosNotifyChannelAdmin::EventChannel:

[legend]
List of all members.

## Public Methods
ConsumerAdmin | new_for_consumers (in InterFilterGroupOperator op, out AdminID id)
| Create a new consumer admin. More...
SupplierAdmin | new_for_suppliers (in InterFilterGroupOperator op, out AdminID id)
| Create a new supplier admin. More...
ConsumerAdmin | get_consumeradmin (in AdminID id) raises (AdminNotFound)
| Fetch an specific consumer admin based on its ID. More...
SupplierAdmin | get_supplieradmin (in AdminID id) raises (AdminNotFound)
| Fetch an specific supplier admin based on its ID. More...
AdminIDSeq | get_all_consumeradmins ()
| Get the IDs of all the consumer admins. More...
AdminIDSeq | get_all_supplieradmins ()
| Get the IDs of all the supplier admins. More...
## Public Attributes
readonly attribute EventChannelFactory | MyFactory
| The factory this event channel belongs to. More...
readonly attribute ConsumerAdmin | default_consumer_admin
| The default consumer admin. More...
readonly attribute SupplierAdmin | default_supplier_admin
| The default supplier admin. More...
readonly attribute CosNotifyFilter::FilterFactory | default_filter_factory
| The default filter factory for this event channel. More...

## Detailed Description

Defines the interface to control an use an event channel.

## Member Function Documentation

AdminIDSeq CosNotifyChannelAdmin::EventChannel::get_all_consumeradmins | ( |  | ) |

| Get the IDs of all the consumer admins.

AdminIDSeq CosNotifyChannelAdmin::EventChannel::get_all_supplieradmins | ( |  | ) |

| Get the IDs of all the supplier admins.

ConsumerAdmin CosNotifyChannelAdmin::EventChannel::get_consumeradmin | ( | in AdminID | id | ) | raises (AdminNotFound)

  | Fetch an specific consumer admin based on its ID. Parameters:
  id | The id of the consumer that should be returned
  Returns: The consumer admin assigned the given ID Exceptions:
  AdminNotFound | if there is no consumer admin with the ID provided

SupplierAdmin CosNotifyChannelAdmin::EventChannel::get_supplieradmin | ( | in AdminID | id | ) | raises (AdminNotFound)

  | Fetch an specific supplier admin based on its ID. Parameters:
  id | The id of the supplier that should be returned
  Returns: The supplier admin assigned the given ID Exceptions:
  AdminNotFound | if there is no supplier admin with the ID provided

ConsumerAdmin CosNotifyChannelAdmin::EventChannel::new_for_consumers | ( | in InterFilterGroupOperator | op,
|  | out AdminID | id
| ) |

  | Create a new consumer admin. Parameters:
  op | Defines how multiple filters would be interpreted in the new consumer admin
  id | Returns the ID assigned to the new consumer admin
Returns: The new consumer admin

SupplierAdmin CosNotifyChannelAdmin::EventChannel::new_for_suppliers | ( | in InterFilterGroupOperator | op,
|  | out AdminID | id
| ) |

  | Create a new supplier admin. Parameters:
  op | Defines how multiple filters would be interpreted in the new supplier admin
  id | Returns the ID assigned to the new supplier admin
Returns: The new supplier admin

## Member Data Documentation

readonly attribute ConsumerAdmin CosNotifyChannelAdmin::EventChannel::default_consumer_admin

| The default consumer admin.

readonly attribute CosNotifyFilter::FilterFactory CosNotifyChannelAdmin::EventChannel::default_filter_factory

| The default filter factory for this event channel.

readonly attribute SupplierAdmin CosNotifyChannelAdmin::EventChannel::default_supplier_admin

| The default supplier admin.

readonly attribute EventChannelFactory CosNotifyChannelAdmin::EventChannel::MyFactory

| The factory this event channel belongs to.

The documentation for this interface was generated from the following file:

- CosNotifyChannelAdmin.idl